---
driver:
  name: dokken
  pull_platform_image: false
  pull_chef_image: false
  memory_limit: 2147483648 # 2GB
  volumes:
    # saves the apt archieves outside of the container
    - /var/cache/apt/archives/:/var/cache/apt/archives/
  ## The forwarded_port port feature lets you connect to ports on the VM guest via
  ## localhost on the host.
  ## see also: https://www.vagrantup.com/docs/networking/forwarded_ports
  # network:
  #  - ["forwarded_port", { guest: 4444, host: 4444 }]

transport:
  name: dokken

provisioner:
  name: dokken
  clean_dokken_sandbox: false
  # You may wish to disable always updating cookbooks in CI or other testing environments.
  # For example:
  #   always_update_cookbooks: <%= !ENV['CI'] %>
  # always_update_cookbooks: false

  ## product_name and product_version specifies a specific Chef product and version to install.
  ## see the Chef documentation for more details: https://docs.chef.io/workstation/config_yml_kitchen/
  #  product_name: chef
  #  product_version: 16

verifier:
  name: inspec

platforms:
  - name: ubuntu-20.04
    driver:
      image: dokken/ubuntu-20.04
      privileged: true
      pid_one_command: /usr/lib/systemd/systemd
      intermediate_instructions:
        # prevent APT from deleting the APT folder
        - RUN rm /etc/apt/apt.conf.d/docker-clean

suites:
  - name: rskj
    run_list:
      - recipe[kosmos_rsk::rskj]
    verifier:
      inspec_tests:
        - test/integration/rskj
    attributes:
